%define anolis_release 1
%global pypi_name pyserial
%global pypi_version 3.5

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Python Serial Port Extension

License:        BSD
URL:            https://github.com/pyserial/pyserial
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(hidapi)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Python Serial Port Extension for Win32, OSX, Linux, BSD, Jython,
IronPythonStable:- Documentation: - Download Page: Documentation: - Project
Homepage:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(hidapi)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Python Serial Port Extension for Win32, OSX, Linux, BSD, Jython,
IronPythonStable:- Documentation: - Download Page: Documentation: - Project
Homepage:

%package -n python-%{pypi_name}-doc
Summary:        pyserial documentation
%description -n python-%{pypi_name}-doc
Documentation for pyserial

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 documentation html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} test/run_all_tests.py

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/pyserial-miniterm
%{_bindir}/pyserial-ports
%{python3_sitelib}/serial
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt

%changelog 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.5-1
- Init package from upstream v3.5
